com.parse.http

## Interface ParseNetworkInterceptor

    public interface ParseNetworkInterceptor

`ParseNetworkInterceptor` is used to observe requests going out and the corresponding responses coming back in.

### Nested Class Summary

Nested Classes
`static interface` `ParseNetworkInterceptor.Chain` `Chain` is used to chain the interceptors.

### Method Summary

Methods
`ParseHttpResponse` `intercept(ParseNetworkInterceptor.Chain chain)` Intercepts a `ParseHttpRequest` with the help of `ParseNetworkInterceptor.Chain` and returns the intercepted `ParseHttpResponse`.

### Method Detail

#### intercept

    ParseHttpResponse intercept(ParseNetworkInterceptor.Chain chain)
                                throws IOException

Intercepts a `ParseHttpRequest` with the help of `ParseNetworkInterceptor.Chain` and returns the intercepted `ParseHttpResponse`.

Parameters:
  `chain` - The helper chain we use to get the request, proceed the request and receive the response.
Returns:
  The intercepted response.
Throws:
  `IOException`